diff -ru nginx-0.7.19/auto/lib/libxslt/conf nginx-0.7.19-exslt/auto/lib/libxslt/conf
--- nginx-0.7.19/auto/lib/libxslt/conf	2008-08-13 15:32:35.000000000 +0700
+++ nginx-0.7.19-exslt/auto/lib/libxslt/conf	2008-10-29 19:54:04.000000000 +0600
@@ -88,3 +88,72 @@
 
     exit 1
 fi
+
+# Check whether exslt is available
+
+    ngx_feature="libexslt"
+    ngx_feature_name="NGX_HTTP_XSLT_EXSLT"
+    ngx_feature_run=no
+    ngx_feature_incs="#include <libexslt/exslt.h>"
+    ngx_feature_path="/usr/include/libxml2"
+    ngx_feature_libs="-lexslt"
+    ngx_feature_test="exsltRegisterAll();"
+    . auto/feature
+
+
+if [ $ngx_found = no ]; then
+
+    # FreeBSD port
+
+    ngx_feature="libexslt in /usr/local/"
+    ngx_feature_path="/usr/local/include/libxml2 /usr/local/include"
+
+    if [ $NGX_RPATH = YES ]; then
+        ngx_feature_libs="-R/usr/local/lib -L/usr/local/lib -lexslt"
+    else
+        ngx_feature_libs="-L/usr/local/lib -lexslt"
+    fi
+
+    . auto/feature
+fi
+
+
+if [ $ngx_found = no ]; then
+
+    # NetBSD port
+
+    ngx_feature="libexslt in /usr/pkg/"
+    ngx_feature_path="/usr/pkg/include/libxml2 /usr/pkg/include"
+
+    if [ $NGX_RPATH = YES ]; then
+        ngx_feature_libs="-R/usr/pkg/lib -L/usr/pkg/lib -lexslt"
+    else
+        ngx_feature_libs="-L/usr/pkg/lib -lexslt"
+    fi
+
+    . auto/feature
+fi
+
+
+if [ $ngx_found = no ]; then
+
+    # MacPorts
+
+    ngx_feature="libexslt in /opt/local/"
+    ngx_feature_path="/opt/local/include/libxml2 /opt/local/include"
+
+    if [ $NGX_RPATH = YES ]; then
+        ngx_feature_libs="-R/opt/local/lib -L/opt/local/lib -lexslt"
+    else
+        ngx_feature_libs="-L/opt/local/lib -lexslt"
+    fi
+
+    . auto/feature
+fi
+
+
+if [ $ngx_found = yes ]; then
+
+    CORE_LIBS="$CORE_LIBS $ngx_feature_libs"
+
+fi
diff -ru nginx-0.7.19/src/http/modules/ngx_http_xslt_filter_module.c nginx-0.7.19-exslt/src/http/modules/ngx_http_xslt_filter_module.c
--- nginx-0.7.19/src/http/modules/ngx_http_xslt_filter_module.c	2008-08-22 01:21:40.000000000 +0700
+++ nginx-0.7.19-exslt/src/http/modules/ngx_http_xslt_filter_module.c	2008-10-29 19:52:35.000000000 +0600
@@ -15,6 +15,10 @@
 #include <libxslt/transform.h>
 #include <libxslt/xsltutils.h>
 
+#if (NGX_HTTP_XSLT_EXSLT)
+#include <libexslt/exslt.h>
+#endif
+
 
 #ifndef NGX_HTTP_XSLT_REUSE_DTD
 #define NGX_HTTP_XSLT_REUSE_DTD  1
@@ -1269,6 +1273,10 @@
 {
     xmlInitParser();
 
+#if (NGX_HTTP_XSLT_EXSLT)
+    exsltRegisterAll();
+#endif
+
     ngx_http_next_header_filter = ngx_http_top_header_filter;
     ngx_http_top_header_filter = ngx_http_xslt_header_filter;
 